Skip to content
Permalink
Browse files

Upgrade Metro packages to 0.54.0

Summary: Upgrades React Native's Metro dependencies to 0.54.0.

Reviewed By: alexeylang

Differential Revision: D15212988

fbshipit-source-id: 5799740bc8df1b778630bba063be17d8739cbef8
  • Loading branch information...
motiz88 authored and facebook-github-bot committed May 8, 2019
1 parent 9ef5107 commit 343f0a1d50662aa37ef0b26d5436b2a0b40fbabb
Showing with 38 additions and 38 deletions.
  1. +2 −2 package.json
  2. +36 −36 yarn.lock
@@ -93,8 +93,8 @@
"fbjs-scripts": "^1.1.0",
"invariant": "^2.2.4",
"jsc-android": "^241213.1.0",
"metro-babel-register": "0.52.0",
"metro-react-native-babel-transformer": "0.52.0",
"metro-babel-register": "0.54.0",
"metro-react-native-babel-transformer": "0.54.0",
"nullthrows": "^1.1.0",
"pretty-format": "^24.7.0",
"promise": "^7.1.1",
@@ -4830,10 +4830,10 @@ merge@^1.2.0:
resolved "https://registry.yarnpkg.com/merge/-/merge-1.2.0.tgz#7531e39d4949c281a66b8c5a6e0265e8b05894da"
integrity sha1-dTHjnUlJwoGma4xabgJl6LBYlNo=

metro-babel-register@0.52.0:
version "0.52.0"
resolved "https://registry.yarnpkg.com/metro-babel-register/-/metro-babel-register-0.52.0.tgz#b537b20d42e464d46d781ad6549529e71d055365"
integrity sha512-Ut0Ek4Da0kn0sKPaQnwjRuUQhiAVJ/a7LnEwzAhbYNst1HFHkKIT5oZxsCP2w9uwN9BnG4DcSTfRyRusQGW+Sw==
metro-babel-register@0.53.1:
version "0.53.1"
resolved "https://registry.yarnpkg.com/metro-babel-register/-/metro-babel-register-0.53.1.tgz#41c73313ff882d28d8f7df072d2c7a6b7b314ac8"
integrity sha512-kDu7mktGCVdpa2islDzmNXZ0sGQjUvIEcQkmO9pt4b4d8QVecEHyHSZB9jvWnE2w9lADzvnERmZLHS2iDDYOyw==
dependencies:
"@babel/core" "^7.0.0"
"@babel/plugin-proposal-class-properties" "^7.0.0"
@@ -4848,10 +4848,10 @@ metro-babel-register@0.52.0:
core-js "^2.2.2"
escape-string-regexp "^1.0.5"

metro-babel-register@0.53.1:
version "0.53.1"
resolved "https://registry.yarnpkg.com/metro-babel-register/-/metro-babel-register-0.53.1.tgz#41c73313ff882d28d8f7df072d2c7a6b7b314ac8"
integrity sha512-kDu7mktGCVdpa2islDzmNXZ0sGQjUvIEcQkmO9pt4b4d8QVecEHyHSZB9jvWnE2w9lADzvnERmZLHS2iDDYOyw==
metro-babel-register@0.54.0:
version "0.54.0"
resolved "https://registry.yarnpkg.com/metro-babel-register/-/metro-babel-register-0.54.0.tgz#9a48d8a4027e7749274055756d24dd9b1f211c18"
integrity sha512-w23K7esvr0shNTzXzPKusVeq3sNBL+wSUvbgKQEs1gfzjFTLvoefFWxklfa7NVFIX2993yNXoDUbS0kjWIfYHg==
dependencies:
"@babel/core" "^7.0.0"
"@babel/plugin-proposal-class-properties" "^7.0.0"
@@ -4866,26 +4866,19 @@ metro-babel-register@0.53.1:
core-js "^2.2.2"
escape-string-regexp "^1.0.5"

metro-babel-transformer@0.52.0:
version "0.52.0"
resolved "https://registry.yarnpkg.com/metro-babel-transformer/-/metro-babel-transformer-0.52.0.tgz#9aec370b77d0246155869e7ab51880f70dfa859e"
integrity sha512-1dHTbDd73YM5MhA4CqdHOnPCRMc0fQh+jMx1aH/JTjUVfARj8d4qNAbdS2KZBTAHlwtUMChANXGpRMzEL31O0w==
dependencies:
"@babel/core" "^7.0.0"

metro-babel-transformer@0.53.1:
version "0.53.1"
resolved "https://registry.yarnpkg.com/metro-babel-transformer/-/metro-babel-transformer-0.53.1.tgz#a076fd77a9a7aef8004706edf537dcd1fec4a79e"
integrity sha512-cgZj9KK/SLxsO/rAmrlnZpaBlLhxuWxGrQkkiWxV/OjfbW8nvodozfZ3Euxvh4Ytf0e8qgTFG3JpQf8EGSDp7w==
dependencies:
"@babel/core" "^7.0.0"

metro-babel7-plugin-react-transform@0.52.0:
version "0.52.0"
resolved "https://registry.yarnpkg.com/metro-babel7-plugin-react-transform/-/metro-babel7-plugin-react-transform-0.52.0.tgz#642a58691ec609dc76398b9380fd847090bc483b"
integrity sha512-7T3f2zmzPHy/NS6TAw4OysAwD8XDFwuEbbUXVxP38FnPjBsH+ykVWbI+Uxm7jU5bB4/u3bA/eKSRmHi6NK+jOg==
metro-babel-transformer@0.54.0:
version "0.54.0"
resolved "https://registry.yarnpkg.com/metro-babel-transformer/-/metro-babel-transformer-0.54.0.tgz#4518bb08c7057b38c8d41ec0343ad8fbadeb49c8"
integrity sha512-FCdVxDx+WLXnnxN/9f43RU1TW1AUqsikSUtjQ0nUSOaZhBtWVGP+FfSoRDqRYg224P5n75a+PUm3Jia8N5WTJQ==
dependencies:
"@babel/helper-module-imports" "^7.0.0"
"@babel/core" "^7.0.0"

metro-babel7-plugin-react-transform@0.53.1:
version "0.53.1"
@@ -4894,6 +4887,13 @@ metro-babel7-plugin-react-transform@0.53.1:
dependencies:
"@babel/helper-module-imports" "^7.0.0"

metro-babel7-plugin-react-transform@0.54.0:
version "0.54.0"
resolved "https://registry.yarnpkg.com/metro-babel7-plugin-react-transform/-/metro-babel7-plugin-react-transform-0.54.0.tgz#3c76e15b149db114f636a443f76771b52b7904a1"
integrity sha512-+VY6BfM8qNgnJ3EwvXFN68WPRvGSNBW0+CL1ZdgjUFTIdlhvf8YkrDCtZTw+DtVuy9C0RtqUJXALVXCFUigwwQ==
dependencies:
"@babel/helper-module-imports" "^7.0.0"

metro-cache@0.53.1:
version "0.53.1"
resolved "https://registry.yarnpkg.com/metro-cache/-/metro-cache-0.53.1.tgz#38d73c441771bdd2437a55d50943e346e1897108"
@@ -4943,10 +4943,10 @@ metro-minify-uglify@0.53.1:
dependencies:
uglify-es "^3.1.9"

metro-react-native-babel-preset@0.52.0:
version "0.52.0"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-preset/-/metro-react-native-babel-preset-0.52.0.tgz#2b261d97c13cd14a617ba0d6b03e00a0b2168722"
integrity sha512-Z/bWNIexZ5k4JXUjTjhmjoOpF1Cil+eEm1PNh4TVDvO3wEE3eKajMuuJCFa/a992OSpk3wUlFwQkYl7VO6NQSg==
metro-react-native-babel-preset@0.53.1:
version "0.53.1"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-preset/-/metro-react-native-babel-preset-0.53.1.tgz#6cd9e41a1b9a6e210e71ef2adf114219b4eaf2ec"
integrity sha512-Uf8EGL8kIPhDkoSdAAysNPxPQclUS2R1QC4cwnc8bkk2f6yqGn+1CorfiY9AaqlLEth5mKQqdtRYFDTFfB9QyA==
dependencies:
"@babel/plugin-proposal-class-properties" "^7.0.0"
"@babel/plugin-proposal-export-default-from" "^7.0.0"
@@ -4982,13 +4982,13 @@ metro-react-native-babel-preset@0.52.0:
"@babel/plugin-transform-typescript" "^7.0.0"
"@babel/plugin-transform-unicode-regex" "^7.0.0"
"@babel/template" "^7.0.0"
metro-babel7-plugin-react-transform "0.52.0"
metro-babel7-plugin-react-transform "0.53.1"
react-transform-hmr "^1.0.4"

metro-react-native-babel-preset@0.53.1:
version "0.53.1"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-preset/-/metro-react-native-babel-preset-0.53.1.tgz#6cd9e41a1b9a6e210e71ef2adf114219b4eaf2ec"
integrity sha512-Uf8EGL8kIPhDkoSdAAysNPxPQclUS2R1QC4cwnc8bkk2f6yqGn+1CorfiY9AaqlLEth5mKQqdtRYFDTFfB9QyA==
metro-react-native-babel-preset@0.54.0:
version "0.54.0"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-preset/-/metro-react-native-babel-preset-0.54.0.tgz#9425ed40338f41234f1ea57d61026b78b66b06d6"
integrity sha512-h+wJnTrl2dcY4+8PTElQznbLat1F2l2NgvoKvQW5h9ZONR850usyr1ViDAgHVRnOjzjByxqDIEJpZbbKCFQeww==
dependencies:
"@babel/plugin-proposal-class-properties" "^7.0.0"
"@babel/plugin-proposal-export-default-from" "^7.0.0"
@@ -5024,18 +5024,18 @@ metro-react-native-babel-preset@0.53.1:
"@babel/plugin-transform-typescript" "^7.0.0"
"@babel/plugin-transform-unicode-regex" "^7.0.0"
"@babel/template" "^7.0.0"
metro-babel7-plugin-react-transform "0.53.1"
metro-babel7-plugin-react-transform "0.54.0"
react-transform-hmr "^1.0.4"

metro-react-native-babel-transformer@0.52.0:
version "0.52.0"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-transformer/-/metro-react-native-babel-transformer-0.52.0.tgz#627171c33a30953ef2cfd93ed3f5643569e46652"
integrity sha512-sePE4J6SfNUsIQApG2LbFEs1hLPLfYyRzbsTk709fXF7d300EGLDQSXdaD52o1kChIIeb+jLKEQ66XalDsy8QA==
metro-react-native-babel-transformer@0.54.0:
version "0.54.0"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-transformer/-/metro-react-native-babel-transformer-0.54.0.tgz#a850ecdb043390a95ea27ae6851636e214a3b138"
integrity sha512-4ud/z+pWC6NsEeeT7tE+MGiWCB4hzpTCUW0cS5VoT3DnmXGRwEcZsFAKJr8NceHNrop7S/os0XtoCec36KyWEQ==
dependencies:
"@babel/core" "^7.0.0"
babel-preset-fbjs "^3.1.2"
metro-babel-transformer "0.52.0"
metro-react-native-babel-preset "0.52.0"
metro-babel-transformer "0.54.0"
metro-react-native-babel-preset "0.54.0"

metro-react-native-babel-transformer@^0.53.1:
version "0.53.1"

0 comments on commit 343f0a1

Please sign in to comment.
You can’t perform that action at this time.